START TRANSACTION;

CREATE TABLE `UserAgents` (
  `ProfileID` varchar(255) NOT NULL,
  `AgentIP` varchar(24) default NULL,
  `AgentPort` int(11) default NULL,
  `AgentOnline` tinyint(1) default NULL,
  `SessionID` varchar(255) default NULL,
  `SecureSessionID` varchar(255) default NULL,
  `InitialRegion` varchar(255) default NULL,
  `Region` varchar(255) default NULL,
  `LoginTime` int(11) default NULL,
  `LogoutTime` int(11) default NULL,
  `Handle` bigint(20) default NULL,
  `PositionX` float default NULL,
  `PositionY` float default NULL,
  `PositionZ` float default NULL,
  PRIMARY KEY  (`ProfileID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `UserProfiles` (
  `ID` varchar(255) NOT NULL,
  `FirstName` varchar(32) default NULL,
  `SurName` varchar(32) default NULL,
  `PasswordHash` varchar(32) default NULL,
  `PasswordSalt` varchar(32) default NULL,
  `WebLoginKey` varchar(255) default NULL,
  `HomeRegionX` int(11) default NULL,
  `HomeRegionY` int(11) default NULL,
  `HomeLocationX` float default NULL,
  `HomeLocationY` float default NULL,
  `HomeLocationZ` float default NULL,
  `HomeLookAtX` float default NULL,
  `HomeLookAtY` float default NULL,
  `HomeLookAtZ` float default NULL,
  `Created` int(11) default NULL,
  `LastLogin` int(11) default NULL,
  `RootInventoryFolderID` varchar(255) default NULL,
  `UserInventoryURI` varchar(255) default NULL,
  `UserAssetURI` varchar(255) default NULL,
  `Image` varchar(255) default NULL,
  `FirstLifeImage` varchar(255) default NULL,
  `AboutText` varchar(255) default NULL,
  `FirstLifeAboutText` varchar(255) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `user_surname` (`SurName`),
  KEY `user_firstname` (`FirstName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE `UserAppearances` (
  `Owner` varchar(255) NOT NULL,
  `BodyItem` varchar(255) default NULL,
  `BodyAsset` varchar(255) default NULL,
  `SkinItem` varchar(255) default NULL,
  `SkinAsset` varchar(255) default NULL,
  `HairItem` varchar(255) default NULL,
  `HairAsset` varchar(255) default NULL,
  `EyesItem` varchar(255) default NULL,
  `EyesAsset` varchar(255) default NULL,
  `ShirtItem` varchar(255) default NULL,
  `ShirtAsset` varchar(255) default NULL,
  `PantsItem` varchar(255) default NULL,
  `PantsAsset` varchar(255) default NULL,
  `ShoesItem` varchar(255) default NULL,
  `ShoesAsset` varchar(255) default NULL,
  `SocksItem` varchar(255) default NULL,
  `SocksAsset` varchar(255) default NULL,
  `JacketItem` varchar(255) default NULL,
  `JacketAsset` varchar(255) default NULL,
  `GlovesItem` varchar(255) default NULL,
  `GlovesAsset` varchar(255) default NULL,
  `UnderShirtItem` varchar(255) default NULL,
  `UnderShirtAsset` varchar(255) default NULL,
  `UnderPantsItem` varchar(255) default NULL,
  `UnderPantsAsset` varchar(255) default NULL,
  `SkirtItem` varchar(255) default NULL,
  `SkirtAsset` varchar(255) default NULL,
  `Texture` longblob,
  `VisualParams` longblob,
  `Serial` int(11) default NULL,
  PRIMARY KEY  (`Owner`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

COMMIT;